\begin{tikzpicture}[scale=0.6,level distance=3cm,
    level 1/.style={sibling distance=1cm},
    level 2/.style={sibling distance=0.75cm},
    level 3/.style={sibling distance=0.5cm},
    facility/.style={vertex,fill=red!50}]
\Tree 
    [.\node[vertex](r){$v_1$}; 
        [.\node[facility]{$f_1$};
            [.\node[facility]{$f_2$}; ]
            [.\node[vertex]{$v_3$}; ]
        ] 
        [.\node[vertex,label=right:$z$]{$v_2$}; 
            [.\node[vertex]{$v_4$}; ]
            [.\node[facility]{$f_3$}; 
                [.\node[vertex,label=below:$v$]{$v_5$};]
                [.\node[facility]{$f_5$};]
            ]
            [.\node[facility,label= right:$f^*$]{$f_4$};]
        ]
    ]
\node at (-3,0) {\small $d=3$};
\end{tikzpicture}